MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004799ATutorEnrollmentpublic2011-07-20 10:552011-08-18 13:02
Reporterharris 
Assigned Toharris 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0004799: Auto registration email confirmation link fails on the first time, the "m" parameter is wrong
DescriptionThis is described here: http://atutor.ca/view/3/22280/1.html [^]

I have dug into the registration.php and found that the this might be a bug introduced after fixing 0004017. "$now" has been replaced by "now()" in r8982, causing the confirmation token to fail with 2 different timestamps.
Steps To Reproduce1. turn auto-registration on
2. register
3. get email confirmation, click and fails.
Additional Information------------------------------------------------------------------------
r8982 | cindy | 2009-11-30 16:21:02 -0500 (Mon, 30 Nov 2009) | 1 line
http://www.atutor.ca/atutor/mantis/view.php?id=4017 [^]
------------------------------------------------------------------------

@@ -254,7 +254,7 @@
                        '$_POST[phone]',
                        $status,
                        '$_config[pref_defaults]',
- '$now',
+ now(),
                        '$_SESSION[lang]',
                        $_config[pref_inbox_notify],
                        $_POST[private_email],

TagsNo tags attached.
Affects versionSVN
SVN Revision#11246
Attached Files

- Relationships
child of 0004017closedcindy User login time is not recorded upon registration 

-  Notes
(0005157)
greg (administrator)
2011-08-18 13:02

First round of 2.0.3 changes closed.

- Issue History
Date Modified Username Field Change
2011-07-20 10:55 harris New Issue
2011-07-20 10:55 harris Relationship added child of 0004017
2011-07-20 10:57 harris Description Updated View Revisions
2011-07-20 10:57 harris Additional Information Updated View Revisions
2011-08-02 16:04 greg Assigned To => harris
2011-08-02 16:04 greg Status new => assigned
2011-08-10 11:10 harris SVN Revision# => 11246
2011-08-10 11:10 harris Status assigned => resolved
2011-08-10 11:10 harris Resolution open => fixed
2011-08-18 13:02 greg Note Added: 0005157
2011-08-18 13:02 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker